users
List Users
GET
/
v1
/
organizations
/
{organization_id}
/
users
List Users
curl --request GET \
--url https://api.aixy-gateway.com/v1/organizations/{organization_id}/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aixy-gateway.com/v1/organizations/{organization_id}/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aixy-gateway.com/v1/organizations/{organization_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"organization_id": "<string>",
"email": "<string>",
"name": "<string>",
"role": "<string>",
"suspended_at": "<string>",
"project_ids": [
"<string>"
],
"created_at": "<string>",
"updated_at": "<string>",
"object": "organization.user"
}
],
"object": "list"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Instance management token configured by a self-hosted operator.
Path Parameters
⌘I
List Users
curl --request GET \
--url https://api.aixy-gateway.com/v1/organizations/{organization_id}/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aixy-gateway.com/v1/organizations/{organization_id}/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aixy-gateway.com/v1/organizations/{organization_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"organization_id": "<string>",
"email": "<string>",
"name": "<string>",
"role": "<string>",
"suspended_at": "<string>",
"project_ids": [
"<string>"
],
"created_at": "<string>",
"updated_at": "<string>",
"object": "organization.user"
}
],
"object": "list"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}